libzypp 17.37.10

zyppng::Pipe Struct Reference

`#include <zypp-core/zyppng/base/private/linuxhelpers_p.h>`

## Public Member Functions
void | unrefWrite ()
void | unrefRead ()

## Static Public Member Functions
static std::optional< Pipe > | create (int flags=0)

## Public Attributes
zypp::AutoFD | readFd
zypp::AutoFD | writeFd

## Detailed Description

Small helper struct around creating a Unix pipe to ensure RAII with pipes

Definition at line 72 of file linuxhelpers_p.h.

## Member Function Documentation

## ◆ create()

std::optional< Pipe > zyppng::Pipe::create | ( | int | flags = 0 | ) |
| static

Definition at line 71 of file linuxhelpers.cc.

## ◆ unrefWrite()

void zyppng::Pipe::unrefWrite | ( |  | ) |
| inline

Definition at line 77 of file linuxhelpers_p.h.

## ◆ unrefRead()

void zyppng::Pipe::unrefRead | ( |  | ) |
| inline

Definition at line 81 of file linuxhelpers_p.h.

## Member Data Documentation

## ◆ readFd

zypp::AutoFD zyppng::Pipe::readFd

Definition at line 73 of file linuxhelpers_p.h.

## ◆ writeFd

zypp::AutoFD zyppng::Pipe::writeFd

Definition at line 74 of file linuxhelpers_p.h.

The documentation for this struct was generated from the following files:

- zypp-core/zyppng/base/private/linuxhelpers_p.h
- zypp-core/zyppng/base/linuxhelpers.cc